<!doctype html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <title>TP Passerelle Ipsec</title>
    <link rel='stylesheet' type='text/css' href='assets/style.css'>

    <!-- Link your JavaScript file -->
    <script type="text/javascript" src="assets/script.js"></script>
</head>

<body>
    <h1>Passerelle IPSec</h1>
    <p>Auteurs: Emmanuel Konan et Mateo Dugas</p>

    <h2>Mise en place d'un proxy IPSec</h2>
    <p>Ci-dessous nous configurons les fichiers ipsec de la machine "visu".<br/> À gauche le fichier "ipsec.conf", à droite, le fichier "ipsec.secrets".</p>
    <img src="assets/medias/config_ipsec.png" alt="Configuration ipsec.conf">
    <p>La machine ipsec possède la même configuration avec la ligne suivante "RSA certificate" décommentée, ainsi que les deux lignes "rightcert" et "rightca".</p>
    <p>Nous n'avons pas réussi à utiliser le module d'authentification eap-mschapv2 pour l'authentification de la machine visu. Nous nous sommes donc contentés du mode secret partagé. (comme dans le tp2)</p>


    <h2>Mise en place d'un proxy IPSec derrière un Firewall</h2>

    <p>On rappelle le schéma du réseau :</p>
    <img src="assets/medias/network.png" alt="Règle de parefeu, sur Firewall et ipsec">

    <p> Pour la configuration du firewall: </p>

    <ol>
        <li>Par défaut la machine Firwall interdit (DROP) toute communication.
        </li>
        <li>On autorise les communications entre la passerelle ipsec et rapspbian librement dans un sens comme dans
            l'autre.
        </li>
        <li>On n'autorise les nouvelles communications de l'extérieur, ici 192.168.11.0/24 (en l'occurrence de visu) à destination de la passerelle ipsec.
        </li>
    </ol>

    <p>
        Pour la configuration iptables de la passerelle ipsec:
    </p>

    <ol>
        <li>On met en place du source NAT afin que ce dernier émettent les paquets en utilisant sa propre adresse IP.
            Cela est nécessaire à cause des règles mises en place sur le firewall.
        </li>
        <li>Le SNAT est une fonctionnalité qu'offre un serveur proxy.
        </li>
    </ol>

    <p>Voici la liste des règles, à gauche, le firewall, à droite la machine ipsec.</p>

    <img src="assets/medias/regle_iptables.png" style="max-width:120%" alt="Italian Trulli">


   <h2>Démonstration vidéo</h2>

   <h3>IPSEC désactivé</h3>

    <p>La vidéo ci-dessous montre que les communications entre les machines visu et camera ne sont plus possibles si le tunnel IPSEC n'est pas activé.<br/>
    On remarque sur Wireshark que les paquets en provenance de la machine visu sont bloqués au niveau du firewall. </p>
    <video width="1200" controls>
        <source src="assets/medias/ipsec_down.webm" type="video/webm">
    </video>

    <h3>IPSEC activé</h3>
    <p>Après avoir activé le tunnel IPSEC, il est désormais possible d'initier une communication avec la machine camera. <br/>
    Dans Wireshark, on voit le paquets circuler. On voit notamment que les paquets entre les machines visu et ipsec sont échangés en utilisant le protocole ESP (Encapsulating Security Payload). La machine ipsec déchiffre ensuite les paquets lorsqu'elle les envoie à destination de la machine camera, notons que l'adresse source des paquets est changé en celui de la machine ipsec grâce à la règle de parefeu SNAT (Source Nating) </p>

    <video width="1200" controls>
        <source src="assets/medias/ipsec_up.webm" type="video/webm">
    </video>

</body>
